import gtk
import os

class HandlerClass:
    def __init__(self, halcomp,builder,useropts):

        self.halcomp = halcomp
        self.builder = builder

        # a reference to the image path - adjust to your path
        self.IMAGES = os.path.expanduser('~/emc-dev/configs/sim/SIM.GLADE (1)/IMAGES')
        print 'IMAGE PATH:', os.path.exists(self.IMAGES)

        # set up a reference to an image object for true state of toggle
        self.image_toggle_true = gtk.Image()
        self.image_toggle_true.set_from_file(os.path.join(self.IMAGES, 'machine_on.png'))

        # set up a reference to an image object for false state of toggle
        self.image_toggle_false = gtk.Image()
        self.image_toggle_false.set_from_file(os.path.join(self.IMAGES, 'machine_off.png'))

        # set default image for button - this image doesn't change
        self.builder.get_object('button_image').set_from_file(os.path.join(self.IMAGES, 'configure-2.png'))
        # set the default image to match the default state at start up
        self.builder.get_object('toggle').set_image(self.image_toggle_false)

    def on_button_pressed(self,widget,data=None):
        print widget, 'pressed'

    def on_toggle_toggled(self,widget,data=None):
        print widget, widget.get_active()
        if widget.get_active():
            widget.set_image(self.image_toggle_true)
        else:
            widget.set_image(self.image_toggle_false)

# boiler code
def get_handlers(halcomp,builder,useropts):
    return [HandlerClass(halcomp,builder,useropts)]
